{% extends "base.html" %}
{% block style %}
<link rel="stylesheet" href="{{ url_for('static',filename='css/projet.css') }}">

{% endblock %}

{% block main %}

<section class="d-flex flex-column align-items-center edt">
    <h1> {{titre}} </h1>
    <div class = "option">
        <form action="{{ url_for('search') }}" method="POST">
            <div style="display: flex; margin-bottom: 2em;">
                <input type = "text" class = "form-control"  name = "recherche">
                <button class = "btn btn-primary" type = "submit"> rechercher </button>
            </div>
        </form>
        <div class = "div_option">
            <form action="{{url_for('upload_file')}}" method = "POST"  enctype="multipart/form-data">
                <div class = "nouveau">
                    <input type="hidden" name = "projetID" value="{{projet.id}}">
                    <input class="form-control" type="file" id="formFile" name = "fileToUpload">
                    <button class = "btn btn-primary" type = 'submit'> Importer </button>
                </div>
            </form>
            <a href="{{ url_for('create_csv',id=projet.id) }}">
                <button class = "btn btn-success" style = "width: max-content;" onclick=""> Exporter CSV </button>
            </a>
        </div>
        
    </div>
    <div class = "contenant">
        <div class = "col col-md-2 bandeau-info"> 
            <h4> Informations sur le projet </h4>
            <div>
                <div class = "row info-proj">
                    <p><b> Participants :  </b>
                        <ul>
                            {% for p in projet.utilisateurs %}
                                <li> {{p.nom}} {{p.prenom}} : {{p.role}}</li>
                            {% endfor %}
                        </ul>
                    </p>
                </div>
                <div class = "row info-proj">
                    <p><b> Débuté le :  </b></p>
                    <ul>
                        <li> {{projet.date_deb}} </li>
                    </ul>
                </div>
                <div class = "row info-proj">
                    <p><b> Statut :  </b></p>
                    <ul>
                        <li> {{projet.etat}} </li>
                    </ul>
                </div>
                <div class = "row info-proj">
                     
                            {% if projet.validation_client == True and current_user.role == "Implenteur" %}
                            <p><b> Validation :  </b></p>
                            <ul>
                                <li>
                                    <form action="{{ url_for('remiser_projet',id=projet.id) }}" method="POST" id = "form_remise"></form>
                                    <button class = "btn btn-secondary" onclick="submitFormConfirm('form_remise')"> Annuler Validation </button> </li>
                            </ul>
                            {% elif projet.validation_client == True %}
                            <p><b> Validation :  </b></p>
                            <ul>
                                <li>
                                <form action="{{ url_for('valider_projet',id=projet.id) }}" method="POST" id = "form_validation"></form>
                                <button class = "btn btn-secondary" onclick="submitFormConfirm('form_validation')" disabled> Valider </button> </li>
                            </ul>
                            {% elif current_user.role != "Implementeur" %}
                            <p><b> Validation :  </b></p>
                            <ul>
                                <li>
                                    <form action="{{ url_for('valider_projet',id=projet.id) }}" method="POST" id = "form_validation"></form>
                                    <button class = "btn btn-secondary" onclick="submitFormConfirm('form_validation')"> Valider </button> </li>
                            </ul>
                            {% endif %}
                    
                </div>
            </div>
        </div>
        <div class = "col fic">
            <div class="row row-cols-1 row-cols-md-6 g-8 " >
                {% for fic in projet.fichiers %}
                        <div class="col" style="margin-bottom: 1em;">
                            <div class="card h-100 text-center">
                                <div class="card-body">
                                <h5 class="card-title"> {{fic.nom}}</h5>
                                <p class="card-text">
                                    <p> <b> Participants : </b>
                                         {% for util in projet.utilisateurs %} 
                                            {{util.nom}}
                                        {% endfor %}        
                                    </p>
                                <p class="card-text"> <b> Débuté le : </b> {{projet.date_deb}} </p>
                                <div class = "les_boutons">
                                    <button class = "btn btn-primary" type="button" onclick="window.location.href='/projet/fichier/{{fic.id}}'" > Afficher </button>
                                    {% if current_user.role == "Implenteur" %}
                                    <button class = "btn btn-danger" onclick="window.location.href='/projet/{{projet.id}}/supprimer_fichier/{{fic.id}}'"> Supprimer </button>
                                    {% endif %}
                                </div>
                            </div>
                        </div>
                  </div>
                {% endfor %}
        </div>  
    </div>
</section>

{% endblock %}

{% block script %}
<script>
    function submitFormConfirm(form_id){
        conf = confirm("Si vous validez le projet vous acceptez le projet tel qu'il est vous ne pourrez plus le modifier ? \n Un mail de confirmation vous sera envoyé");
        if(conf == true){
            document.forms[form_id].submit();    
        }
    }
</script>
{% endblock %}